import { jsx } from "react/jsx-runtime";
import { Sword as Sword$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Sword = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Sword", ...props, children: /* @__PURE__ */ jsx(Sword$1, { weight: variant }) });
  }
);
Sword.displayName = "Sword";
Object.assign(Sword, { isGdsIcon: true });
export {
  Sword
};
